import { Entity, PrimaryGeneratedColumn, Column, ManyToOne } from 'typeorm';
import { Game_PersonEntity } from '../game/game.entity';

@Entity('Tracking')
export class TrackingEntity {
  @PrimaryGeneratedColumn('uuid') id: string;
  @Column({ type: 'json', nullable: true }) data: JSON;
  @ManyToOne(type => Game_PersonEntity, person => person.gamepersonId, {
    onDelete: 'CASCADE',
  })
  gamepersonId: Game_PersonEntity;
}
